<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="eee26f95-62ab-48c8-b43c-01b2fe3dce84" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="ProjectId" id="1bn8E2e7QwvTY7Q2SXxtDY9eHHM" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/src/gson-2.8.6.jar!/" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.2" />
  </component>
  <component name="RunManager" selected="Application.Main">
    <configuration name="BoardConfig" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="Util.BoardConfig" />
      <module name="HW3_test" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="Util.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Main" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="Main" />
      <module name="HW3_test" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.Main" />
        <item itemvalue="Application.BoardConfig" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="eee26f95-62ab-48c8-b43c-01b2fe3dce84" name="Default Changelist" comment="" />
      <created>1589256381938</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1589256381938</updated>
      <workItem from="1589256389926" duration="7272000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="WindowStateProjectService">
    <state x="574" y="128" key="#com.intellij.ide.util.MemberChooser" timestamp="1589261759502">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="574" y="128" key="#com.intellij.ide.util.MemberChooser/0.0.1536.824@0.0.1536.824" timestamp="1589261759502" />
    <state x="549" y="167" key="FileChooserDialogImpl" timestamp="1589260173154">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="549" y="167" key="FileChooserDialogImpl/0.0.1536.824@0.0.1536.824" timestamp="1589260173154" />
    <state width="1493" height="2" key="GridCell.Tab.0.bottom" timestamp="1589263708798">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1493" height="2" key="GridCell.Tab.0.bottom/0.0.1536.824@0.0.1536.824" timestamp="1589263708798" />
    <state width="1493" height="2" key="GridCell.Tab.0.center" timestamp="1589263708798">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1493" height="2" key="GridCell.Tab.0.center/0.0.1536.824@0.0.1536.824" timestamp="1589263708798" />
    <state width="1493" height="2" key="GridCell.Tab.0.left" timestamp="1589263708798">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1493" height="2" key="GridCell.Tab.0.left/0.0.1536.824@0.0.1536.824" timestamp="1589263708798" />
    <state width="1493" height="2" key="GridCell.Tab.0.right" timestamp="1589263708798">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1493" height="2" key="GridCell.Tab.0.right/0.0.1536.824@0.0.1536.824" timestamp="1589263708798" />
    <state x="249" y="0" key="SettingsEditor" timestamp="1589260176769">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="249" y="0" key="SettingsEditor/0.0.1536.824@0.0.1536.824" timestamp="1589260176769" />
  </component>
</project>